A set of options when creating a ChatChannel or ChatRoom.

### Hierarchy

- CreateChatChannelOptions

## Index

### Properties

- id
- ignoreExistsError
- members
- membership
- name
- topic
- type

## Properties

### Optionalid

id: string

The ID which the new chat should have. Returns an error if a chat with this ID already exists AND `ignoreExistsError` is not true.

### OptionalignoreExistsError

ignoreExistsError: boolean

Set to true to ignore an error in the case of an existing desired Chat ID

### Optionalmembers

members: DomainUserIdentifier[]

An array of DomainUsers to which this chat is available.

### membership

membership: "public" | "private"

The visibility of the chat room. Must be "public" or "private".

Private chats cannot be joined by a user, but rather added (ChatChannel.add) by another member with the appropriate permissions

### Optionalname

name: string

An optional name for the chat.

### Optionaltopic

topic: string

An optional topic for the chat.

### type

type: "channel" | "room"

The type of chat. Must be "channel" or "room".